Subject: bug#39424: auto-scrolling

From: Eli Zaretskii <[email-masked]>
Date: Tue, 04 Feb 2020 20:27:18 +0200

> From: Konrad Podczeck <[email-masked]>
> Date: Tue, 4 Feb 2020 17:05:06 +0100
> 
> I observe the following discrepancy between (a) mouse-drag-region and (b) mouse-drag-region-rectangle.
> 
> Concerning (a), as soon as one comes with the mouse below the mode-line of the frame, so that auto-scrolling becomes effective, the cursor jumps to the beginning of the line below the region and that line appears as non-selected during further scrolling.
> 
> As for (b), as usual with other text editors, if one comes with the mouse below the mode-line of the frame, the cursor stays at the beginning or end of the region, and there is no line which appears non-selected.
> 
> I could neither find any explanation for this discrepancy in the manuals, nor a customization option which, for (a), gives the same behavior as in case of (b).

mouse-drag-region selects whole lines, so it moves the cursor beyond
the end of the last line in the region, to cause the scrolling.

I see no problem in either behavior, and don't really understand why
there should be any consistency between these two.  They do different
things.